%define compile_apidox 0
%{?_with_apidox: %{expand: %%global compile_apidox 1}}

Name: kdelibs4
Summary: K Desktop Environment - Libraries
Version: 4.0.3
Group: Graphical desktop/KDE
License: ARTISTIC BSD GPL_V2 LGPL_V2 QPL_V1.0
BuildRoot: %_tmppath/%name-%version-%release-root
URL: http://www.kde.org
Release: %mkrel 1
Source0: ftp://ftp.kde.org/pub/kde/stable/%version/src/kdelibs-%version.tar.bz2
Source1: kde.pam
Patch0: kdelibs4-homedir.patch
Patch1: kdelibs-nepomuk-4.0.1-trunk.diff
BuildRequires: kde4-macros
BuildRequires: cmake >= 2.4.5
BuildRequires: qt4-devel >= 4.3.0
BuildRequires: aspell-devel
BuildRequires: hspell-devel
BuildRequires: avahi-compat-libdns_sd-devel 
BuildRequires: avahi-client-devel
BuildRequires: enchant-devel
BuildRequires: libxslt-proc
BuildRequires: libxslt-devel
BuildRequires: libxml2 >= 2.4.11
BuildRequires: openssl-devel
BuildRequires: cups-devel >= 1.2
BuildRequires: pcre-devel
BuildRequires: fam-devel
BuildRequires: bzip2-devel
BuildRequires: libart_lgpl-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libsasl-devel
BuildRequires: libtiff-devel
BuildRequires: libvorbis-devel
BuildRequires: pam-devel
BuildRequires: X11-devel
BuildRequires: libalsa-devel
BuildRequires: libmad-devel
BuildRequires: gdbm-devel
BuildRequires: jasper-devel
BuildRequires: OpenEXR-devel
BuildRequires: libacl-devel
BuildRequires: krb5-devel
BuildRequires: ungif-devel
BuildRequires: strigi-devel >=  0.5.1
BuildRequires: shared-mime-info
BuildRequires: soprano-devel >= 1.99.0

Requires:      kde4-l10n

%description 
Libraries for the K Desktop Environment.

#------------------------------------------------	

%define kaudiodevicelist_major 4
%define libkaudiodevicelist %mklibname kaudiodevicelist %kaudiodevicelist_major

%package -n %libkaudiodevicelist
Summary: KDE 4 core library
Group: System/Libraries
Conflicts: %{_lib}kdecore5 >= 30000000:3.80.3
Obsoletes: %{_lib}kaudiodevicelist5 < 3.93.0-0.714006.1
Obsoletes: %{_lib}cupsdconf4 < 3.93.0-0.728415.2
Obsoletes: %{_lib}kdefx5 < 3.93.0-0.728415.2
Obsoletes: %{_lib}kdeprint_management4 < 3.93.0-0.728415.2
Obsoletes: %{_lib}kdeprint5 < 3.93.0-0.728415.2
 

%description -n %libkaudiodevicelist
KDE 4 core library.

%post -n %libkaudiodevicelist -p /sbin/ldconfig
%postun -n %libkaudiodevicelist -p /sbin/ldconfig

%files -n %libkaudiodevicelist
%defattr(-,root,root)
%_kde_libdir/libkaudiodevicelist.so.%{kaudiodevicelist_major}*

#------------------------------------------------	

%define kde3support_major 4
%define libkde3support %mklibname kde3support %kde3support_major

%package -n %libkde3support
Summary: KDE 4 core library
Group: System/Libraries
Conflicts: %{_lib}kdecore5 >= 30000000:3.80.3
Obsoletes: %{_lib}kde3support5 < 3.93.0-0.714006.1
 

%description -n %libkde3support
KDE 4 core library.

%post -n %libkde3support -p /sbin/ldconfig
%postun -n %libkde3support -p /sbin/ldconfig

%files -n %libkde3support
%defattr(-,root,root)
%_kde_libdir/libkde3support.so.%{kde3support_major}*

#------------------------------------------------	

%define kdecore_major 5
%define libkdecore %mklibname kdecore %kdecore_major

%package -n %libkdecore
Summary: KDE 4 core library
Group: System/Libraries
Obsoletes: %{_lib}kdecore5 >= 30000000:3.80.3
 

%description -n %libkdecore
KDE 4 core library.

%post -n %libkdecore -p /sbin/ldconfig
%postun -n %libkdecore -p /sbin/ldconfig

%files -n %libkdecore
%defattr(-,root,root)
%_kde_libdir/libkdecore.so.%{kdecore_major}*

#------------------------------------------------	

%define kdefakes_major 5
%define libkdefakes %mklibname kdefakes %kdefakes_major

%package -n %libkdefakes
Summary: KDE 4 core library
Group: System/Libraries
Conflicts: %{_lib}kdecore5 >= 30000000:3.80.3
 

%description -n %libkdefakes
KDE 4 core library.

%post -n %libkdefakes -p /sbin/ldconfig
%postun -n %libkdefakes -p /sbin/ldconfig

%files -n %libkdefakes
%defattr(-,root,root)
%_kde_libdir/libkdefakes.so.%{kdefakes_major}*

#------------------------------------------------	

%define kdesu_major 5
%define libkdesu %mklibname kdesu %kdesu_major

%package -n %libkdesu
Summary: KDE 4 core library
Group: System/Libraries
Conflicts: %{_lib}kdecore5 >= 30000000:3.80.3
 

%description -n %libkdesu
KDE 4 core library.

%post -n %libkdesu -p /sbin/ldconfig
%postun -n %libkdesu -p /sbin/ldconfig

%files -n %libkdesu
%defattr(-,root,root)
%_kde_libdir/libkdesu.so.%{kdesu_major}*

#------------------------------------------------	

%define kdeui_major 5
%define libkdeui %mklibname kdeui %kdeui_major

%package -n %libkdeui
Summary: KDE 4 core library
Group: System/Libraries
Conflicts: %{_lib}kdecore5 >= 30000000:3.80.3
 

%description -n %libkdeui
KDE 4 core library.

%post -n %libkdeui -p /sbin/ldconfig
%postun -n %libkdeui -p /sbin/ldconfig

%files -n %libkdeui
%defattr(-,root,root)
%_kde_libdir/libkdeui.so.%{kdeui_major}*

#------------------------------------------------	

%define kdnssd_major 4
%define libkdnssd %mklibname kdnssd %kdnssd_major

%package -n %libkdnssd
Summary: KDE 4 core library
Group: System/Libraries
Conflicts: %{_lib}kdecore5 >= 30000000:3.80.3
Obsoletes: %{_lib}kdnssd5 < 3.93.0-0.714006.1
 

%description -n %libkdnssd
KDE 4 core library.

%post -n %libkdnssd -p /sbin/ldconfig
%postun -n %libkdnssd -p /sbin/ldconfig

%files -n %libkdnssd
%defattr(-,root,root)
%_kde_libdir/libkdnssd.so.%{kdnssd_major}*

#------------------------------------------------	

%define kfile_major 4
%define libkfile %mklibname kfile %kfile_major

%package -n %libkfile
Summary: KDE 4 core library
Group: System/Libraries
Conflicts: %{_lib}kdecore5 >= 30000000:3.80.3
Obsoletes: %{_lib}kfile5 < 3.93.0-0.714006.1
 

%description -n %libkfile
KDE 4 core library.

%post -n %libkfile -p /sbin/ldconfig
%postun -n %libkfile -p /sbin/ldconfig

%files -n %libkfile
%defattr(-,root,root)
%_kde_libdir/libkfile.so.%{kfile_major}*

#------------------------------------------------	

%define khtml_major 5
%define libkhtml %mklibname khtml %khtml_major

%package -n %libkhtml
Summary: KDE 4 core library
Group: System/Libraries
Conflicts: %{_lib}kdecore5 >= 30000000:3.80.3
 

%description -n %libkhtml
KDE 4 core library.

%post -n %libkhtml -p /sbin/ldconfig
%postun -n %libkhtml -p /sbin/ldconfig

%files -n %libkhtml
%defattr(-,root,root)
%_kde_libdir/libkhtml.so.%{khtml_major}*

#------------------------------------------------	

%define kimproxy_major 4
%define libkimproxy %mklibname kimproxy %kimproxy_major

%package -n %libkimproxy
Summary: KDE 4 core library
Group: System/Libraries
Conflicts: %{_lib}kdecore5 >= 30000000:3.80.3
Obsoletes: %{_lib}kimproxy5 < 3.93.0-0.714006.1
 

%description -n %libkimproxy
KDE 4 core library.

%post -n %libkimproxy -p /sbin/ldconfig
%postun -n %libkimproxy -p /sbin/ldconfig

%files -n %libkimproxy
%defattr(-,root,root)
%_kde_libdir/libkimproxy.so.%{kimproxy_major}*

#------------------------------------------------	

%define kio_major 5
%define libkio %mklibname kio %kio_major

%package -n %libkio
Summary: KDE 4 core library
Group: System/Libraries
Conflicts: %{_lib}kdecore5 >= 30000000:3.80.3
 

%description -n %libkio
KDE 4 core library.

%post -n %libkio -p /sbin/ldconfig
%postun -n %libkio -p /sbin/ldconfig

%files -n %libkio
%defattr(-,root,root)
%_kde_libdir/libkio.so.%{kio_major}*

#------------------------------------------------	

%define kjsembed_major 4
%define libkjsembed %mklibname kjsembed %kjsembed_major

%package -n %libkjsembed
Summary: KDE 4 core library
Group: System/Libraries
Conflicts: %{_lib}kdecore5 >= 30000000:3.80.3
Obsoletes: %{_lib}kjsembed5 < 3.93.0-0.714006.1
 

%description -n %libkjsembed
KDE 4 core library.

%post -n %libkjsembed -p /sbin/ldconfig
%postun -n %libkjsembed -p /sbin/ldconfig

%files -n %libkjsembed
%defattr(-,root,root)
%_kde_libdir/libkjsembed.so.%{kjsembed_major}*

#------------------------------------------------	

%define kjs_major 4
%define libkjs %mklibname kjs %kjs_major

%package -n %libkjs
Summary: KDE 4 core library
Group: System/Libraries
Conflicts: %{_lib}kdecore5 >= 30000000:3.80.3
Obsoletes: %{_lib}kjs5 < 3.93.0-0.714006.1
 

%description -n %libkjs
KDE 4 core library.

%post -n %libkjs -p /sbin/ldconfig
%postun -n %libkjs -p /sbin/ldconfig

%files -n %libkjs
%defattr(-,root,root)
%_kde_libdir/libkjs.so.%{kjs_major}*

#------------------------------------------------	

%define kmediaplayer_major 4
%define libkmediaplayer %mklibname kmediaplayer %kmediaplayer_major

%package -n %libkmediaplayer
Summary: KDE 4 core library
Group: System/Libraries
Conflicts: %{_lib}kdecore5 >= 30000000:3.80.3
Obsoletes: %{_lib}kmediaplayer5 < 3.93.0-0.714006.1
 

%description -n %libkmediaplayer
KDE 4 core library.

%post -n %libkmediaplayer -p /sbin/ldconfig
%postun -n %libkmediaplayer -p /sbin/ldconfig

%files -n %libkmediaplayer
%defattr(-,root,root)
%_kde_libdir/libkmediaplayer.so.%{kmediaplayer_major}*

#------------------------------------------------	

%define nepomuk_major 4
%define libnepomuk %mklibname nepomuk %nepomuk_major

%package -n %libnepomuk
Summary: KDE 4 core library
Group: System/Libraries
Conflicts: %{_lib}kdecore5 >= 30000000:3.80.3
Obsoletes: %{_lib}knepomuk5 < 3.93.0-0.714006.1
Obsoletes: %{_lib}nepomuk5 < 3.93.0-0.714006.1
Obsoletes: %{_lib}kmetadata5 < 3.93.0-0.714006.1
Obsoletes: %{_lib}konto5 < 3.93.0-0.714006.1
Obsoletes: %{_lib}nepomukmiddleware4 < 3.93.0-0.725600.1
 

%description -n %libnepomuk
KDE 4 core library.

%post -n %libnepomuk -p /sbin/ldconfig
%postun -n %libnepomuk -p /sbin/ldconfig

%files -n %libnepomuk
%defattr(-,root,root)
%_kde_libdir/libnepomuk.so.%{nepomuk_major}*

#------------------------------------------------	

%define knewstuff2_major 4
%define libknewstuff2 %mklibname knewstuff2 %knewstuff2_major

%package -n %libknewstuff2
Summary: KDE 4 core library
Group: System/Libraries
Conflicts: %{_lib}kdecore5 >= 30000000:3.80.3
Obsoletes: %{_lib}knewstuff25 < 3.93.0-0.714006.1
 

%description -n %libknewstuff2
KDE 4 core library.

%post -n %libknewstuff2 -p /sbin/ldconfig
%postun -n %libknewstuff2 -p /sbin/ldconfig

%files -n %libknewstuff2
%defattr(-,root,root)
%_kde_libdir/libknewstuff2.so.%{knewstuff2_major}*

#------------------------------------------------	

%define knotifyconfig_major 4
%define libknotifyconfig %mklibname knotifyconfig %knotifyconfig_major

%package -n %libknotifyconfig
Summary: KDE 4 core library
Group: System/Libraries
Conflicts: %{_lib}kdecore5 >= 30000000:3.80.3
Obsoletes: %{_lib}knotifyconfig5 < 3.93.0-0.714006.1
 

%description -n %libknotifyconfig
KDE 4 core library.

%post -n %libknotifyconfig -p /sbin/ldconfig
%postun -n %libknotifyconfig -p /sbin/ldconfig

%files -n %libknotifyconfig
%defattr(-,root,root)
%_kde_libdir/libknotifyconfig.so.%{knotifyconfig_major}*

#------------------------------------------------	

%define kntlm_major 4
%define libkntlm %mklibname kntlm %kntlm_major

%package -n %libkntlm
Summary: KDE 4 core library
Group: System/Libraries
Conflicts: %{_lib}kdecore5 >= 30000000:3.80.3
Obsoletes: %{_lib}kntlm5 < 3.93.0-0.714006.1
 

%description -n %libkntlm
KDE 4 core library.

%post -n %libkntlm -p /sbin/ldconfig
%postun -n %libkntlm -p /sbin/ldconfig

%files -n %libkntlm
%defattr(-,root,root)
%_kde_libdir/libkntlm.so.%{kntlm_major}*

#------------------------------------------------	

%define kparts_major 4
%define libkparts %mklibname kparts %kparts_major

%package -n %libkparts
Summary: KDE 4 core library
Group: System/Libraries
Conflicts: %{_lib}kdecore5 >= 30000000:3.80.3
Obsoletes: %{_lib}kparts5 < 3.93.0-0.714006.1
 

%description -n %libkparts
KDE 4 core library.

%post -n %libkparts -p /sbin/ldconfig
%postun -n %libkparts -p /sbin/ldconfig

%files -n %libkparts
%defattr(-,root,root)
%_kde_libdir/libkparts.so.%{kparts_major}*

#------------------------------------------------	

%define krosscore_major 4
%define libkrosscore %mklibname krosscore %krosscore_major

%package -n %libkrosscore
Summary: KDE 4 core library
Group: System/Libraries
Conflicts: %{_lib}kdecore5 >= 30000000:3.80.3
Obsoletes: %{_lib}krosscore5 < 3.93.0-0.714006.1
 

%description -n %libkrosscore
KDE 4 core library.

%post -n %libkrosscore -p /sbin/ldconfig
%postun -n %libkrosscore -p /sbin/ldconfig

%files -n %libkrosscore
%defattr(-,root,root)
%_kde_libdir/libkrosscore.so.%{krosscore_major}*

#------------------------------------------------	

%define krossui_major 4
%define libkrossui %mklibname krossui %krossui_major

%package -n %libkrossui
Summary: KDE 4 core library
Group: System/Libraries
Conflicts: %{_lib}kdecore5 >= 30000000:3.80.3
Obsoletes: %{_lib}krossui5 < 3.93.0-0.714006.1
 

%description -n %libkrossui
KDE 4 core library.

%post -n %libkrossui -p /sbin/ldconfig
%postun -n %libkrossui -p /sbin/ldconfig

%files -n %libkrossui
%defattr(-,root,root)
%_kde_libdir/libkrossui.so.%{krossui_major}*

#------------------------------------------------	

%define ktexteditor_major 4
%define libktexteditor %mklibname ktexteditor %ktexteditor_major

%package -n %libktexteditor
Summary: KDE 4 core library
Group: System/Libraries
Conflicts: %{_lib}kdecore5 >= 30000000:3.80.3
Obsoletes: %{_lib}ktexteditor5 < 3.93.0-0.714006.1
 

%description -n %libktexteditor
KDE 4 core library.

%post -n %libktexteditor -p /sbin/ldconfig
%postun -n %libktexteditor -p /sbin/ldconfig

%files -n %libktexteditor
%defattr(-,root,root)
%_kde_libdir/libktexteditor.so.%{ktexteditor_major}*

#------------------------------------------------	

%define kunittest_major 4
%define libkunittest %mklibname kunittest %kunittest_major

%package -n %libkunittest
Summary: KDE 4 core library
Group: System/Libraries
Conflicts: %{_lib}kdecore5 >= 30000000:3.80.3
Obsoletes: %{_lib}kunittest5 < 3.93.0-0.714006.1
 

%description -n %libkunittest
KDE 4 core library.

%post -n %libkunittest -p /sbin/ldconfig
%postun -n %libkunittest -p /sbin/ldconfig

%files -n %libkunittest
%defattr(-,root,root)
%_kde_libdir/libkunittest.so.%{kunittest_major}*

#------------------------------------------------	

%define kutils_major 4
%define libkutils %mklibname kutils %kutils_major

%package -n %libkutils
Summary: KDE 4 core library
Group: System/Libraries
Conflicts: %{_lib}kdecore5 >= 30000000:3.80.3
Obsoletes: %{_lib}kutils5 < 3.93.0-0.714006.1
 

%description -n %libkutils
KDE 4 core library.

%post -n %libkutils -p /sbin/ldconfig
%postun -n %libkutils -p /sbin/ldconfig

%files -n %libkutils
%defattr(-,root,root)
%_kde_libdir/libkutils.so.%{kutils_major}*

#------------------------------------------------	

%define kwalletbackend_major 4
%define libkwalletbackend %mklibname kwalletbackend %kwalletbackend_major

%package -n %libkwalletbackend
Summary: KDE 4 core library
Group: System/Libraries
Conflicts: %{_lib}kdecore5 >= 30000000:3.80.3
Obsoletes: %{_lib}kwalletbackend5 < 3.93.0-0.714006.1
 

%description -n %libkwalletbackend
KDE 4 core library.

%post -n %libkwalletbackend -p /sbin/ldconfig
%postun -n %libkwalletbackend -p /sbin/ldconfig

%files -n %libkwalletbackend
%defattr(-,root,root)
%_kde_libdir/libkwalletbackend.so.%{kwalletbackend_major}*

#------------------------------------------------	

%define phononexperimental_major 4
%define libphononexperimental %mklibname phononexperimental %phononexperimental_major

%package -n %libphononexperimental
Summary: KDE 4 core library
Group: System/Libraries
Conflicts: %{_lib}kdecore5 >= 30000000:3.80.3
Obsoletes: %{_lib}phononexperimental5 < 3.93.0-0.714006.1
 

%description -n %libphononexperimental
KDE 4 core library.

%post -n %libphononexperimental -p /sbin/ldconfig
%postun -n %libphononexperimental -p /sbin/ldconfig

%files -n %libphononexperimental
%defattr(-,root,root)
%_kde_libdir/libphononexperimental.so.%{phononexperimental_major}*

#------------------------------------------------	

%define phonon_major 4
%define libphonon %mklibname phonon %phonon_major

%package -n %libphonon
Summary: KDE 4 core library
Group: System/Libraries
Conflicts: %{_lib}kdecore5 >= 30000000:3.80.3
Obsoletes: %{_lib}phonon5 < 3.93.0-0.714006.1
 

%description -n %libphonon
KDE 4 core library.

%post -n %libphonon -p /sbin/ldconfig
%postun -n %libphonon -p /sbin/ldconfig

%files -n %libphonon
%defattr(-,root,root)
%_kde_libdir/libphonon.so.%{phonon_major}*

#------------------------------------------------	

%define solid_major 4
%define libsolid %mklibname solid %solid_major

%package -n %libsolid
Summary: KDE 4 core library
Group: System/Libraries
Conflicts: %{_lib}kdecore5 >= 30000000:3.80.3
Obsoletes: %{_lib}solid5 < 3.93.0-0.714006.1
 

%description -n %libsolid
KDE 4 core library.

%post -n %libsolid -p /sbin/ldconfig
%postun -n %libsolid -p /sbin/ldconfig

%files -n %libsolid
%defattr(-,root,root)
%_kde_libdir/libsolid.so.%{solid_major}*

#------------------------------------------------

%define threadweaver_major 4
%define libthreadweaver %mklibname threadweaver %threadweaver_major

%package -n %libthreadweaver
Summary: KDE 4 core library
Group: System/Libraries
Conflicts: %{_lib}kdecore5 >= 30000000:3.80.3
Obsoletes: %{_lib}threadweaver5 < 3.93.0-0.714006.1
 

%description -n %libthreadweaver
KDE 4 core library.

%post -n %libthreadweaver -p /sbin/ldconfig
%postun -n %libthreadweaver -p /sbin/ldconfig

%files -n %libthreadweaver
%defattr(-,root,root)
%_kde_libdir/libthreadweaver.so.%{threadweaver_major}*

#------------------------------------------------

%define  kpty_major 4
%define  libkpty %mklibname kpty %kpty_major

%package -n %libkpty
Summary: KDE 4 core library
Group: System/Libraries
 

%description -n %libkpty
KDE 4 core library.

%post -n %libkpty -p /sbin/ldconfig
%postun -n %libkpty -p /sbin/ldconfig

%files -n %libkpty
%defattr(-,root,root)
%_kde_libdir/libkpty.so.%{kpty_major}*

#------------------------------------------------

%package devel
Group: Development/KDE and Qt
Summary: Header files and documentation for compiling KDE applications
Conflicts: kdelibs4-core < 3.90.2-0.678253 
Requires: kde4-macros
Requires: acl-devel
Requires: qt4-devel >= 4.3.0
Requires: cmake
Requires: soprano-devel
Requires: strigi-devel
# add requires on libxml2-utils, as when building most kde applications,
# it will call xmllint to validate the docbook files:
Requires: libxml2-utils
Requires: kdelibs4-core = %version
Requires: %libkaudiodevicelist = %version
Requires: %libkde3support = %version
Requires: %libkdecore = %version
Requires: %libkdefakes = %version
Requires: %libkdesu = %version
Requires: %libkdeui = %version
Requires: %libkdnssd = %version
Requires: %libkfile = %version
Requires: %libkhtml = %version
Requires: %libkimproxy = %version
Requires: %libkio = %version
Requires: %libkjsembed = %version
Requires: %libkjs = %version
Requires: %libkmediaplayer = %version
Requires: %libnepomuk = %version
Requires: %libknewstuff2 = %version
Requires: %libknotifyconfig = %version
Requires: %libkntlm = %version
Requires: %libkparts = %version
Requires: %libkrosscore = %version
Requires: %libkrossui = %version
Requires: %libktexteditor = %version
Requires: %libkunittest = %version
Requires: %libkutils = %version
Requires: %libkwalletbackend = %version
Requires: %libphononexperimental = %version
Requires: %libphonon = %version
Requires: %libsolid = %version
Requires: %libthreadweaver = %version
Requires: %libkpty = %version
Obsoletes: %{_lib}kdecore5-devel < 3.93.0-0.714006.1

%description devel
This package includes the header files you will need to compile applications 
for KDE. Also included is the KDE API documentation in HTML format for easy 
browsing.

%files devel
%defattr(-,root,root,-)
%_kde_prefix/include/*
%_kde_appsdir/cmake/modules/*
%_datadir/dbus-1/*/*
%_kde_libdir/libkaudiodevicelist.so
%_kde_libdir/libkdefakes.so
%_kde_libdir/libkdesu.so
%_kde_libdir/libkdnssd.so
%_kde_libdir/libkhtml.so
%_kde_libdir/libkimproxy.so
%_kde_libdir/libkjs.so
%_kde_libdir/libkjsembed.so
%_kde_libdir/libkmediaplayer.so
%_kde_libdir/libknewstuff2.so
%_kde_libdir/libknotifyconfig.so
%_kde_libdir/libkntlm.so
%_kde_libdir/libkparts.so
%_kde_libdir/libkrossui.so
%_kde_libdir/libktexteditor.so
%_kde_libdir/libkunittest.so
%_kde_libdir/libkutils.so
%_kde_libdir/libkwalletbackend.so
%_kde_libdir/libnepomuk.so
%_kde_libdir/libphonon.so
%_kde_libdir/libphononexperimental.so
%_kde_libdir/libkde3support.so
%_kde_libdir/libkpty.so
%_kde_libdir/libkfile.so
%_kde_libdir/libsolid.so
%_kde_libdir/libkrosscore.so
%_kde_libdir/libkdecore.so
%_kde_libdir/libkdeui.so
%_kde_libdir/libkio.so
%_kde_libdir/libthreadweaver.so
%_kde_libdir/kde4/plugins/designer
%_kde_bindir/checkXML
%_kde_bindir/kconfig_compiler
%exclude %_kde_libdir/libkdeinit4_*

#--------------------------------------------------------------

%package core
Group: Graphical desktop/KDE
Summary: KDE 4 system core files
Suggests: enchant-dictionary
Obsoletes: kdelibs4-common < 3.93.0-0.714006.1
Conflicts: kdelibs4-devel < 4.0.0-5
Requires: shared-mime-info

%description core
KDE 4 system core files.

%files core
%defattr(-,root,root,-)
%attr(0755,root,root) %_sysconfdir/profile.d/*
%_sysconfdir/ld.so.conf.d/kde4.conf
%_sysconfdir/pam.d/kde
%dir %_kde_bindir
%_kde_bindir/*
%dir %_kde_libdir
%dir %_kde_libdir/kde4
%_kde_libdir/kde4/*
%_kde_libdir/libkdeinit4_*
%dir %_kde_appsdir
%_kde_appsdir/*/*
%dir %_kde_datadir
%_kde_datadir/config/*
%_kde_datadir/mime
%_kde_datadir/locale/all_languages
%_kde_datadir/kde4/services/*
%_kde_datadir/kde4/servicetypes/*
%_kde_docdir/HTML/en/sonnet
%_kde_configdir/xdg/menus/applications.menu
%_kde_docdir/HTML/en/common/*
%_kde_mandir/man1/checkXML.1
%_kde_mandir/man1/kde4-config.1
%_kde_mandir/man7/kdeoptions.7
%_kde_mandir/man7/qtoptions.7
%_kde_mandir/man8/kbuildsycoca4.8
%exclude %_kde_bindir/checkXML
%exclude %_kde_bindir/kconfig_compiler
%exclude %_kde_appsdir/cmake/modules/*
%exclude %_kde_libdir/kde4/plugins/designer
# exclude remaining icons. should not be here
%exclude %_kde_datadir/icons

%pre core
if [ -d %_kde_datadir/mime ]; then
	rm -rf %_kde_datadir/mime
fi

#--------------------------------------------------------------

%if %{compile_apidox}

%package apidoc
Group: Development/KDE and Qt
Summary: Development documentation for %name
Requires: qt4-doc
Obsoletes: kdelibs4-apidoc < 3.93.0-0.714006.1

%description apidoc
This packages contains all development documentation for kdelibs

%files apidoc
%defattr(-,root,root,-)
%_docdir/kde4/api/*

%endif

#--------------------------------------------------------------

%prep
%setup -q -n kdelibs-%version
%patch0 -p1 -b .homedir
%patch1 -p1 -b .nepomuk

%build
%cmake_kde4 

%make

%if %{compile_apidox}
    cd ..
    doc/api/doxygen.sh --doxdatadir=${PWD}/doc/common .
%endif

%install
rm -fr %buildroot

make -C build DESTDIR=%buildroot install

%if %{compile_apidox}
   mkdir -p %buildroot/%_docdir/kde4/api
   cp -av kdelibs-%version-apidocs %buildroot/%_docdir/kde4/api/kdelibs
%endif 

# Install kde pam configuration file
install -d -m 0755 %buildroot%_sysconfdir/pam.d/
install -m 0644 %SOURCE1 %buildroot%_sysconfdir/pam.d/kde

# use shared-mime-info
rm -rf %buildroot%_kde_datadir/mime
ln -s %_datadir/mime %buildroot%_kde_datadir/mime

# Env entry for setup kde4  environment
install -d -m 0755 %buildroot/%_sysconfdir/profile.d
cat > %buildroot%_sysconfdir/profile.d/kde4env.sh << EOF
#!/bin/bash

if [ -z \$PKG_CONFIG_PATH ]; then
    PKG_CONFIG_PATH=%{_kde_libdir}/pkgconfig
else
    PKG_CONFIG_PATH=\$PKG_CONFIG_PATH:%{_kde_libdir}/pkgconfig
fi

export PKG_CONFIG_PATH

function kde4env {
    # KDE
    KDEDIR=%{_kde_prefix}
    KDEHOME=\$HOME/.kde4
    KDETMP=\$HOME/tmp/\$USER-kde4
    KDEVARTMP=/var/tmp/\$USER-kde4
    mkdir -p \$KDETMP \$KDEVARTMP
    if [ -z \$KDEDIRS ]; then
        KDEDIRS=%{_kde_prefix}
    else
        KDEDIRS=\$KDEDIRS:%{_kde_prefix}
    fi
    # Qt
    export QTDIR=%{qt4dir}
    if [ -z \$QT_PLUGIN_PATH ]; then
        QT_PLUGIN_PATH=%{_kde_libdir}/kde4/plugins
    else
        QT_PLUGIN_PATH=%{_kde_libdir}/kde4/plugins:\$QT_PLUGIN_PATH
    fi
    # DBus
    DBUSDIR=%{_kde_prefix}
    # Path
    PATH=%{qt4dir}/bin:%{_kde_bindir}:\$PATH
    # Library
    LD_LIBRARY_PATH=%{_kde_libdir}:\$LD_LIBRARY_PATH
    # XDG
    unset XDG_DATA_DIRS # unset XDG_DATA_DIRS, to avoid seeing kde3 files from /usr
    unset XDG_CONFIG_DIRS

    export KDEDIR KDEHOME KDETMP KDEVARTMP KDEDIRS QTDIR QT_PLUGIN_PATH DBUSDIR PATH LD_LIBRARY_PATH
}
EOF

# Are libs really conflicting with kde3 libs ?
install -d %buildroot/%_sysconfdir/ld.so.conf.d
cat > %buildroot/%_sysconfdir/ld.so.conf.d/kde4.conf <<EOF
%_kde_libdir
EOF

%clean
rm -fr %buildroot



%changelog
* Fri Mar 28 2008 Helio Chissini de Castro <helio@mandriva.com> 4.0.3-1mdv2008.1
+ Revision: 190962
- Update for last stable release 4.0.3

* Sun Mar 09 2008 Anssi Hannula <anssi@mandriva.org> 4.0.2-7mdv2008.1
+ Revision: 182728
- replace requires on aspell with suggests on enchant-dictionary as
  kde4 uses libenchant that supports other backends as well

* Sat Mar 08 2008 Nicolas Lécureuil <neoclust@mandriva.org> 4.0.2-6mdv2008.1
+ Revision: 182096
- Rebuild against new qt4 changes

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream bugfix release 4.0.2

* Sat Mar 01 2008 Helio Chissini de Castro <helio@mandriva.com> 4.0.2-5mdv2008.1
+ Revision: 177247
- Update for upstream upcoming 4.0.2

* Wed Feb 20 2008 Helio Chissini de Castro <helio@mandriva.com> 4.0.1-5mdv2008.1
+ Revision: 173196
- Update nepomuk with trunk modifications. Requested by nepomuk maintainer, Sebastian Trueg

* Tue Feb 12 2008 Nicolas Lécureuil <neoclust@mandriva.org> 4.0.1-3mdv2008.1
+ Revision: 165671
- Rebuild

* Fri Feb 08 2008 Helio Chissini de Castro <helio@mandriva.com> 4.0.1-2mdv2008.1
+ Revision: 164253
- Rebuild against stable cmake

* Thu Feb 07 2008 Helio Chissini de Castro <helio@mandriva.com> 4.0.1-1mdv2008.1
+ Revision: 163746
- Default apidocs generation is off. Resulting package is too big and not often required except for developers. Final install can reach 605 mb.
- Updating for stable KDE 4.0.1
- No more branches. From now, we will be using the monthly official KDE tarballs, as discussed by Mandriva KDE team

* Sun Jan 27 2008 Nicolas Lécureuil <neoclust@mandriva.org> 4.0.0-5.765596.2mdv2008.1
+ Revision: 158534
- Fix kde4env.sh and do not use it as source anymore ( because of wrong use of libs )
  (Regression introduced on revision 93342)
- Add back kde4.conf in ld.conf
- Reordering file list

* Thu Jan 24 2008 Helio Chissini de Castro <helio@mandriva.com> 4.0.0-5.765596.1mdv2008.1
+ Revision: 157562
- Update for today branch adding nepomuk changes from trunk

* Wed Jan 23 2008 Helio Chissini de Castro <helio@mandriva.com> 4.0.0-5.765238.1mdv2008.1
+ Revision: 157184
- Update from branch 4.0.1
- Added nepomuk kdelibs patch ( generated from trunk ( provided by Sebastian Tr?\195?\188eg )

* Tue Jan 22 2008 Nicolas Lécureuil <neoclust@mandriva.org> 4.0.0-5mdv2008.1
+ Revision: 156656
- Finally fix file list ( move back lib files in devel)
- Fix conflict
- Move files out of devel package

* Sat Jan 19 2008 Nicolas Lécureuil <neoclust@mandriva.org> 4.0.0-4mdv2008.1
+ Revision: 155103
- Fix File list
  Own some directories

  + Anssi Hannula <anssi@mandriva.org>
    - ensure major correctness

  + Helio Chissini de Castro <helio@mandriva.com>
    - fix pam for kde4 apps ( sorry neoclust, need to do it faster ) :-)

* Wed Jan 09 2008 Nicolas Lécureuil <neoclust@mandriva.org> 4.0.0-1mdv2008.1
+ Revision: 147401
- Fix release on stable

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update for official tarball

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Dec 23 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.97.1-0.751982.1mdv2008.1
+ Revision: 137310
- new snapshot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 10 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.97.1-0.746866.1mdv2008.1
+ Revision: 117009
- New snapshot
  Fix BuildRequires on soprano

* Wed Dec 05 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.97.0-0.745252.1mdv2008.1
+ Revision: 115784
- KDE4 Rc2

* Thu Nov 29 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.96.1-0.742999.1mdv2008.1
+ Revision: 113940
- New snapshot

* Tue Nov 27 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.96.1-0.742334.1mdv2008.1
+ Revision: 113531
- New snapshot
  Remove Patch1 : Merged upstream

* Tue Nov 27 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.96.1-0.741480.2mdv2008.1
+ Revision: 113478
- Add patch  1 to fix bug 35603 ( empy page when logging in bugzilla)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - explain require on libxml2-utils

* Sun Nov 25 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.96.1-0.741480.1mdv2008.1
+ Revision: 111956
- New Snapshot
  Add back ld.so.conf.d/kde4.conf

  + Funda Wang <fundawang@mandriva.org>
    - add requires on libxml2-utils, as when building most kde applications,
      it will call xmllint to validate the docbook files.

* Thu Nov 22 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.96.1-0.739810.1mdv2008.1
+ Revision: 111136
- New Snapshot

* Thu Nov 15 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.96.0-0.737190.1mdv2008.1
+ Revision: 108964
- Kde 4 RC1

* Sat Nov 10 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.95.2-0.734845.2mdv2008.1
+ Revision: 107454
- Remove Requires(pre)

* Fri Nov 09 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.95.2-0.733956.1mdv2008.1
+ Revision: 107256
- New snapshot ( say hello back to nepomuk )

  + Funda Wang <fundawang@mandriva.org>
    - Revert changes as there are already commented out ld.so.conf.d lines
    - add /opt/kde4/lib{,64} into ld.so.conf.d

* Thu Nov 01 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.95.1-0.731775.1mdv2008.1
+ Revision: 104752
- New snapshot post Rc1

* Tue Oct 30 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.94.1-0.730890.1mdv2008.1
+ Revision: 103685
- New snapshot

* Wed Oct 24 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.94.1-0.728975.1mdv2008.1
+ Revision: 101890
- New svn snapshot

* Tue Oct 23 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.94.1-0.728415.2mdv2008.1
+ Revision: 101503
- Fix file list
- Fix file list ( Kdeprint is dead too )
- Snapshot post BIC

* Tue Oct 23 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.94.1-0.728203.2mdv2008.1
+ Revision: 101369
- Upload because of missing package

* Mon Oct 22 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.94.1-0.728203.1mdv2008.1
+ Revision: 101289
- New snapshot after today BIC day ( and prepare for Kickoff )

* Mon Oct 22 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.94.1-0.727920.1mdv2008.1
+ Revision: 101067
- New svn snapshot

* Sun Oct 21 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.94.1-0.727754.1mdv2008.1
+ Revision: 101037
- Update svn tarball

* Sun Oct 21 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.94.0-0.727618.1mdv2008.1
+ Revision: 100825
- New svn snapshot
- Add requires for translations

* Fri Oct 19 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.94.0-0.726236.2mdv2008.1
+ Revision: 100502
- Fix update

* Wed Oct 17 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.94.0-0.726236.1mdv2008.1
+ Revision: 99598
- New beta 3.94.0

* Wed Oct 17 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.93.0-0.726000.1mdv2008.1
+ Revision: 99437
- New svn snapshot
- New svn snapshot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix summary-ended-with-dot

* Thu Sep 27 2007 Tiago Salem <salem@mandriva.com.br> 3.93.0-0.714006.2mdv2008.0
+ Revision: 93400
- Adding kde4env.sh file as Source1
- Bumping release and fixing mime directories
- Adding kde4env.sh as a SOURCE file.
- fixing XDG variables for kde4
- Removing mdv2008.0 from Obsoletes tags.

* Wed Sep 19 2007 Tiago Salem <salem@mandriva.com.br> 3.93.0-0.714006.1mdv2008.0
+ Revision: 91190
- Making Obsoletes tags versioned

* Fri Sep 14 2007 Helio Chissini de Castro <helio@mandriva.com> 3.93.0-0.712507.1mdv2008.0
+ Revision: 85720
- Update with revision 712507
- Wrong source

* Wed Sep 12 2007 Helio Chissini de Castro <helio@mandriva.com> 3.93.0-0.711712.1mdv2008.0
+ Revision: 84803
- Update with revision 711712
- Update with revision 711596

* Wed Sep 05 2007 Helio Chissini de Castro <helio@mandriva.com> 3.93.0-0.708831.1mdv2008.0
+ Revision: 80452
- Update with revision 708831

* Wed Sep 05 2007 Helio Chissini de Castro <helio@mandriva.com> 3.93.0-0.708644.1mdv2008.0
+ Revision: 80120
- Update with revision 708644

* Tue Sep 04 2007 Helio Chissini de Castro <helio@mandriva.com> 3.93.0-0.708165.1mdv2008.0
+ Revision: 78992
- Update with revision 708165

* Sat Sep 01 2007 Helio Chissini de Castro <helio@mandriva.com> 3.93.0-0.707068.1mdv2008.0
+ Revision: 77321
- Update with revision 707068

* Thu Aug 30 2007 Helio Chissini de Castro <helio@mandriva.com> 3.92.0-0.706494.1mdv2008.0
+ Revision: 75991
- Update with revision 706494

* Wed Aug 29 2007 Helio Chissini de Castro <helio@mandriva.com> 3.92.0-0.706278.1mdv2008.0
+ Revision: 75026
- Update with revision 706278

* Wed Aug 29 2007 Helio Chissini de Castro <helio@mandriva.com> 3.92.0-0.705911.1mdv2008.0
+ Revision: 73297
- Update with revision 705911

* Tue Aug 28 2007 Helio Chissini de Castro <helio@mandriva.com> 3.92.0-0.705398.1mdv2008.0
+ Revision: 72277
- Update with revision 705398

* Mon Aug 27 2007 Helio Chissini de Castro <helio@mandriva.com> 3.92.0-0.705301.1mdv2008.0
+ Revision: 72139
- Update with revision 705301

* Sat Aug 25 2007 Helio Chissini de Castro <helio@mandriva.com> 3.92.0-0.704641.1mdv2008.0
+ Revision: 71431
- Update with revision 704641

* Fri Aug 24 2007 Helio Chissini de Castro <helio@mandriva.com> 3.92.0-0.704401.1mdv2008.0
+ Revision: 71057
- Update with revision 704401

* Tue Aug 21 2007 Helio Chissini de Castro <helio@mandriva.com> 3.92.0-0.702914.1mdv2008.0
+ Revision: 68461
- Update with revision 702914

* Thu Aug 16 2007 Helio Chissini de Castro <helio@mandriva.com> 3.92.0-0.700801.1mdv2008.0
+ Revision: 64502
- Updated for revision 700801

* Mon Aug 13 2007 Helio Chissini de Castro <helio@mandriva.com> 3.92.0-0.699624.1mdv2008.0
+ Revision: 62812
- Update for revision 699624
- Oxygen theme moved for kdebase.

* Wed Aug 08 2007 Helio Chissini de Castro <helio@mandriva.com> 3.92.0-0.698012.1mdv2008.0
+ Revision: 60550
- Update for release 698012

* Wed Aug 01 2007 Helio Chissini de Castro <helio@mandriva.com> 3.92.0-0.695277.1mdv2008.0
+ Revision: 57810
- Update to revision 695277
- Update for revision 694683
- Updated to revision 694510

* Fri Jul 27 2007 Helio Chissini de Castro <helio@mandriva.com> 3.92-0.693023.1mdv2008.0
+ Revision: 56201
- Update for revision 693023

* Mon Jul 23 2007 Helio Chissini de Castro <helio@mandriva.com> 3.91-0.691408.1mdv2008.0
+ Revision: 54813
- Update from revision 691408
- Update to revision 690298

* Tue Jul 17 2007 Helio Chissini de Castro <helio@mandriva.com> 3.91-0.688867.1mdv2008.0
+ Revision: 52862
- Fix soname for many libraries. Back to 4
- Fix soname for solid

* Mon Jul 16 2007 Helio Chissini de Castro <helio@mandriva.com> 3.91-0.688734.1mdv2008.0
+ Revision: 52693
- Fix lnusertemp calls ( silly packager :-)
- Update to revision 688734

* Thu Jul 12 2007 Helio Chissini de Castro <helio@mandriva.com> 3.91-0.687061.1mdv2008.0
+ Revision: 51683
- Update for revision 687061
- Make kde4env available for system

* Wed Jul 11 2007 Helio Chissini de Castro <helio@mandriva.com> 3.91-0.686496.1mdv2008.0
+ Revision: 51377
- Removed duplicated sources
- Moved kde4env to kdelibs, and disabled ld.so.conf entry to avoid kde3 lib loading ( neoclust )
- Removed duplicate file list on designer plugins ( adamw )
- Updated for recent kdelibs revision

* Wed Jul 11 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.91-0.686439.1mdv2008.0
+ Revision: 51237
-New svn snapshot

* Mon Jul 09 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.91-0.685748.1mdv2008.0
+ Revision: 50714
- New svn snaphot

* Thu Jul 05 2007 Helio Chissini de Castro <helio@mandriva.com> 3.91-0.683569.1mdv2008.0
+ Revision: 48550
- Update at revision 683569

* Tue Jul 03 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.91-0.682628.1mdv2008.0
+ Revision: 47459
- New snaphot after BIC

* Mon Jul 02 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.91-0.682420.1mdv2008.0
+ Revision: 47241
- New snapshot
  Fix dbus path

* Mon Jul 02 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.91-0.682345.1mdv2008.0
+ Revision: 47171
- New snapshot

* Wed Jun 27 2007 Helio Chissini de Castro <helio@mandriva.com> 3.91-0.680966.1mdv2008.0
+ Revision: 45037
- And we're going to alpha2

* Wed Jun 27 2007 Helio Chissini de Castro <helio@mandriva.com> 3.90.2-0.680680mdv2008.0
+ Revision: 44824
- Update from svn

* Tue Jun 26 2007 Helio Chissini de Castro <helio@mandriva.com> 3.90.2-0.680441mdv2008.0
+ Revision: 44452
- Update for revision 680441. May conflicts with current kdebase4-devel package, but new upcoming version is arriving soon and we're still alpha..

* Tue Jun 26 2007 Helio Chissini de Castro <helio@mandriva.com> 3.90.2-0.680284mdv2008.0
+ Revision: 44220
- Update for post BIC monday revision 680284

* Mon Jun 25 2007 Helio Chissini de Castro <helio@mandriva.com> 3.90.2-0.679803mdv2008.0
+ Revision: 43987
- Updating for svn revision 679803
- Update from svn revision 679119

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Remove duplicate file
    - Really add kde4-config on the packages

* Thu Jun 21 2007 Helio Chissini de Castro <helio@mandriva.com> 3.90.2-0.678253mdv2008.0
+ Revision: 41961
- Update for current svn
- Fix bug http://qa.mandriva.com/show_bug.cgi?id=31504

* Tue Jun 19 2007 Helio Chissini de Castro <helio@mandriva.com> 3.90.2-0.677520mdv2008.0
+ Revision: 41464
- Another daily update. Now with automoc working.

* Mon Jun 18 2007 Helio Chissini de Castro <helio@mandriva.com> 3.90.2-0.677229mdv2008.0
+ Revision: 41111
- Update with current svn. Removing duplicates on file list

* Sun Jun 17 2007 Helio Chissini de Castro <helio@mandriva.com> 3.90.2-0.676703mdv2008.0
+ Revision: 40547
- Update for latest svn 676703.
- Oxygen set is available now

* Sat Jun 16 2007 Helio Chissini de Castro <helio@mandriva.com> 3.90.2-0.676122mdv2008.0
+ Revision: 40326
- Bring icons back to root /opt/kde3
- Oxygen style added

* Fri Jun 15 2007 Helio Chissini de Castro <helio@mandriva.com> 3.90.2-0.675929mdv2008.0
+ Revision: 40108
- Update for revision 675929
- Added hicolor and crystalsvg legacy icons under /opt/kde4/share/icons

* Thu Jun 14 2007 Helio Chissini de Castro <helio@mandriva.com> 3.90.2-0.675664mdv2008.0
+ Revision: 39786
- Update for latest svn checkout. Nepomuk change library name

* Sat Jun 09 2007 Helio Chissini de Castro <helio@mandriva.com> 3.90.2-0.673230mdv2008.0
+ Revision: 37717
- Updated for revision 673230
- Fixed devel file list
- Fixed requires for devel package

* Fri Jun 08 2007 Helio Chissini de Castro <helio@mandriva.com> 3.90.2-0.672878mdv2008.0
+ Revision: 37503
- New kdelibs 4 package layout and everything.
- We're trying to get rid of ugly epoch
- Splitted libraries ( yes folks, put everything in one basket never is a good idea, got it ? )
- Requires new kde macros package, to make stupid easily build kde4 packages
- Updated for recent svn code ( as requested by Sebastian Trueg )
- Moved icons to oxygen-icon-theme in /usr/share/icons as standard
- Make kde4 homedir as .kde4 ( borrow opensuse minor patch )
- Removed all old patches that still are commented in spec just to make us confuse :-)

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix File list
    - New Svn Snapshot

* Wed May 09 2007 Laurent Montel <lmontel@mandriva.org> 30000000:3.90.1-0.20070502.1mdv2008.0
+ Revision: 25429
- Fix release
- new snapshot

* Wed May 02 2007 Laurent Montel <lmontel@mandriva.org> 30000000:3.80.3-0.20070502.6mdv2008.0
+ Revision: 20473
- Fix buildrequires
- new snapshot
- new snapshot


(none)